Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-27478

SCM polling (Mercurial) stopped triggering builds after upgrade to 1.604

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Component/s: core, mercurial-plugin
    • Environment:
    • Similar Issues:

      Description

      Our jobs are almost exclusively triggered by SCM changes. This way we avoid unnecessary builds of older releases or otherwise inactive branches. After upgrading from 1.602 to 1.604 on Monday, SCM triggered builds have stopped triggering.

      This is not critical for nightly builds, as they are easy enough to set to periodical builds instead of SCM polling. However, for our continuous builds which poll regularly (more regularly than the actual build time), it's not really an option to set the builds to build periodically. Yes, the regularity could be lowered. But this could lead to a lot of failed build spam, if there are PMD issues or similar late one day.

      After downgrading to 1.602, without downgrading plugins, builds started triggering again normally. I will retry with 1.605 in a few minutes, and see if this has been resolved in the latest release.

        Attachments

          Activity

          Hide
          danielbeck Daniel Beck added a comment -

          1.603 would be interesting as well.

          FWIW I just don't see any changes in Jenkins that could be related if you're polling rather than using SCM hooks to notify Jenkins.
          https://github.com/jenkinsci/jenkins/compare/jenkins-1.602...jenkins-1.604

          Show
          danielbeck Daniel Beck added a comment - 1.603 would be interesting as well. FWIW I just don't see any changes in Jenkins that could be related if you're polling rather than using SCM hooks to notify Jenkins. https://github.com/jenkinsci/jenkins/compare/jenkins-1.602...jenkins-1.604
          Hide
          sardtok Sigmund Hansen added a comment -

          1.605 didn't seem to help. The downgrade to 1.602 doesn't seem to work consistently. Although some builds were triggered, others were not. I will try downgrading different plugins to see if one of them may be affecting the polling.

          Show
          sardtok Sigmund Hansen added a comment - 1.605 didn't seem to help. The downgrade to 1.602 doesn't seem to work consistently. Although some builds were triggered, others were not. I will try downgrading different plugins to see if one of them may be affecting the polling.
          Hide
          sardtok Sigmund Hansen added a comment -

          I tried upgrading the Mercurial plugin, we had had some issues with 1.51 before, so we had held back updating to it from 1.50. Some of the jobs are now triggering consistently after the upgrade to 1.52. After manually triggering the other jobs, they seem to be executing as they should.

          Could be there was some kind of incompatibility between the 1.50 plugin and one of the other plugins (I'm guessing that it was not compatible with one of the plugins, since the downgrade to 1.602 didn't help).

          Show
          sardtok Sigmund Hansen added a comment - I tried upgrading the Mercurial plugin, we had had some issues with 1.51 before, so we had held back updating to it from 1.50. Some of the jobs are now triggering consistently after the upgrade to 1.52. After manually triggering the other jobs, they seem to be executing as they should. Could be there was some kind of incompatibility between the 1.50 plugin and one of the other plugins (I'm guessing that it was not compatible with one of the plugins, since the downgrade to 1.602 didn't help).

            People

            • Assignee:
              Unassigned
              Reporter:
              sardtok Sigmund Hansen
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: